diff --git a/tests/ref/fate/copy-apng b/tests/ref/fate/copy-apng
index 3057573cee..c180273c9f 100644
--- a/tests/ref/fate/copy-apng
+++ b/tests/ref/fate/copy-apng
@@ -1,5 +1,5 @@
-a4c46fad7716ad094eb3c78b74ca0244 *tests/data/fate/copy-apng.apng
-6209864 tests/data/fate/copy-apng.apng
+d726bd22bfa94786c1294b882df09109 *tests/data/fate/copy-apng.apng
+6207936 tests/data/fate/copy-apng.apng
 #tb 0: 1/25
 #media_type 0: video
 #codec_id 0: rawvideo
diff --git a/tests/ref/fate/cover-art-aiff-id3v2-remux b/tests/ref/fate/cover-art-aiff-id3v2-remux
index a59ba37c65..8e29b3a102 100644
--- a/tests/ref/fate/cover-art-aiff-id3v2-remux
+++ b/tests/ref/fate/cover-art-aiff-id3v2-remux
@@ -1,5 +1,5 @@
-330ad2bf538e91a31752b38024461df1 *tests/data/fate/cover-art-aiff-id3v2-remux.aiff
-608914 tests/data/fate/cover-art-aiff-id3v2-remux.aiff
+b8982155c5d711d99fbeb0e3140ad691 *tests/data/fate/cover-art-aiff-id3v2-remux.aiff
+614766 tests/data/fate/cover-art-aiff-id3v2-remux.aiff
 #tb 0: 1/44100
 #media_type 0: audio
 #codec_id 0: pcm_s16be
@@ -27,7 +27,7 @@
 #sar 4: 1/1
 0,          0,          0,     1024,     4096, 0xdac4695d
 1,          0,          0,        0,    19650, 0xd5662610
-2,          0,          0,        0,   184497, 0xc33f8d44
+2,          0,          0,        0,   190348, 0x84b5e334
 3,          0,          0,        0,   368254, 0xfa7f4bd8
 4,          0,          0,        0,    19650, 0xd5662610
 0,       1024,       1024,     1024,     4096, 0xad05c909
diff --git a/tests/ref/fate/cover-art-flac-remux b/tests/ref/fate/cover-art-flac-remux
index fa91975881..b46e0cc4d4 100644
--- a/tests/ref/fate/cover-art-flac-remux
+++ b/tests/ref/fate/cover-art-flac-remux
@@ -1,5 +1,5 @@
-6defc5081a59ab12c8a5f9e263b25068 *tests/data/fate/cover-art-flac-remux.flac
-1098537 tests/data/fate/cover-art-flac-remux.flac
+248679bc3add689963c5aef23cfca4f4 *tests/data/fate/cover-art-flac-remux.flac
+1108011 tests/data/fate/cover-art-flac-remux.flac
 #extradata 0:       34, 0x8d830abd
 #tb 0: 1/44100
 #media_type 0: audio
@@ -38,7 +38,7 @@
 #channel_layout_name 6: 2 channels (FL+FC)
 0,          0,          0,     4608,       14, 0x242b036d
 1,          0,          0,        0,    66888, 0x1fd72743
-2,          0,          0,        0,   438706, 0x8bcb753b
+2,          0,          0,        0,   448180, 0xe9f12350
 3,          0,          0,        0,    21671, 0x7d1c6030
 4,          0,          0,        0,   522758, 0x7a63572f
 5,          0,          0,        0,    21671, 0x7d1c6030
diff --git a/tests/ref/fate/cover-art-mp3-id3v2-remux b/tests/ref/fate/cover-art-mp3-id3v2-remux
index 52b7e72a56..1b7b3584a6 100644
--- a/tests/ref/fate/cover-art-mp3-id3v2-remux
+++ b/tests/ref/fate/cover-art-mp3-id3v2-remux
@@ -1,5 +1,5 @@
-94946f0efd5f9bb0061ac1fbff7d731f *tests/data/fate/cover-art-mp3-id3v2-remux.mp3
-399346 tests/data/fate/cover-art-mp3-id3v2-remux.mp3
+0659a01f91ad6ca205d462da37f64b1d *tests/data/fate/cover-art-mp3-id3v2-remux.mp3
+404814 tests/data/fate/cover-art-mp3-id3v2-remux.mp3
 #tb 0: 1/14112000
 #media_type 0: audio
 #codec_id 0: mp3
@@ -23,7 +23,7 @@
 0,    -353590,    -353590,   368640,      417, 0x15848290, S=1,       10
 1,          0,          0,        0,   208350, 0x291b44d1
 2,          0,          0,        0,    15760, 0x71d5c418
-3,          0,          0,        0,   165671, 0x7c1c8070
+3,          0,          0,        0,   171139, 0x0bcc57ba
 0,      15050,      15050,   368640,      418, 0x46f684a4
 0,     383690,     383690,   368640,      418, 0x46f684a4
 0,     752330,     752330,   368640,      418, 0x46f684a4
diff --git a/tests/ref/fate/mov-cover-image b/tests/ref/fate/mov-cover-image
index 5f65c630ea..87efa84ad9 100644
--- a/tests/ref/fate/mov-cover-image
+++ b/tests/ref/fate/mov-cover-image
@@ -1,5 +1,5 @@
-54a8870d5d1e6cc4da28ae422aa70898 *tests/data/fate/mov-cover-image.mp4
-1011919 tests/data/fate/mov-cover-image.mp4
+2c46ae0e463b23e7120c67f61fb9b0cf *tests/data/fate/mov-cover-image.mp4
+1011780 tests/data/fate/mov-cover-image.mp4
 #extradata 0:        2, 0x00340022
 #tb 0: 1/44100
 #media_type 0: audio
@@ -20,7 +20,7 @@
 0,      -1088,      -1088,     1024,        6, 0x027e00e8, F=0x5
 0,        -64,        -64,     1024,        6, 0x027e00e8
 1,          0,          0,        0,    25441, 0xe82503b0
-2,          0,          0,        0,    32657, 0x080255d2
+2,          0,          0,        0,    32518, 0x8a64fb8f
 0,        960,        960,     1024,        6, 0x027e00e8
 0,       1984,       1984,     1024,        6, 0x027e00e8
 0,       3008,       3008,     1024,        6, 0x027e00e8
diff --git a/tests/ref/fate/png-icc b/tests/ref/fate/png-icc
index 19f8c0a752..4988fb0e66 100644
--- a/tests/ref/fate/png-icc
+++ b/tests/ref/fate/png-icc
@@ -1,5 +1,5 @@
-c460cd06a88ace94d7c76a6309aa8fb8 *tests/data/fate/png-icc.image2
-49441 tests/data/fate/png-icc.image2
+e97b4486d4e9ce8b02144f82f78e8fd6 *tests/data/fate/png-icc.image2
+49994 tests/data/fate/png-icc.image2
 #tb 0: 1/25
 #media_type 0: video
 #codec_id 0: rawvideo
@@ -19,7 +19,7 @@ best_effort_timestamp_time=0.000000
 duration=1
 duration_time=0.040000
 pkt_pos=0
-pkt_size=49441
+pkt_size=49994
 width=128
 height=128
 crop_top=0
diff --git a/tests/ref/lavf/apng b/tests/ref/lavf/apng
index 95f1fbee6f..423d22dc4d 100644
--- a/tests/ref/lavf/apng
+++ b/tests/ref/lavf/apng
@@ -1,3 +1,3 @@
-a4c46fad7716ad094eb3c78b74ca0244 *tests/data/lavf/lavf.apng
-6209864 tests/data/lavf/lavf.apng
+d726bd22bfa94786c1294b882df09109 *tests/data/lavf/lavf.apng
+6207936 tests/data/lavf/lavf.apng
 tests/data/lavf/lavf.apng CRC=0x87b3c15f
diff --git a/tests/ref/lavf/apng.png b/tests/ref/lavf/apng.png
index b42f5a8db8..706d24af6d 100644
--- a/tests/ref/lavf/apng.png
+++ b/tests/ref/lavf/apng.png
@@ -1,3 +1,3 @@
-c5900fdd1b2fc30b985793f5226fd0c4 *tests/data/lavf/lavf.apng.png
-248854 tests/data/lavf/lavf.apng.png
+6e48b18af141c2bc83d989d983927fcf *tests/data/lavf/lavf.apng.png
+248721 tests/data/lavf/lavf.apng.png
 tests/data/lavf/lavf.apng.png CRC=0xd8c7b7a1
diff --git a/tests/ref/lavf/gray16be.png b/tests/ref/lavf/gray16be.png
index 4f4ce179d2..bc764cf46a 100644
--- a/tests/ref/lavf/gray16be.png
+++ b/tests/ref/lavf/gray16be.png
@@ -1,3 +1,3 @@
-6cf54c13aa407b77547cf6dfe23ecba3 *tests/data/images/gray16be.png/02.gray16be.png
-47365 tests/data/images/gray16be.png/02.gray16be.png
+6d189fda32543f617ed68e48ee6f1b36 *tests/data/images/gray16be.png/02.gray16be.png
+47358 tests/data/images/gray16be.png/02.gray16be.png
 tests/data/images/gray16be.png/%02d.gray16be.png CRC=0x893f10ef
diff --git a/tests/ref/lavf/png b/tests/ref/lavf/png
index 2385ad1800..8d166aa089 100644
--- a/tests/ref/lavf/png
+++ b/tests/ref/lavf/png
@@ -1,3 +1,3 @@
-2af72da4468e61a37c220b25cb28618a *tests/data/images/png/02.png
-248633 tests/data/images/png/02.png
+b8504824ff9d5a06c35623866f645715 *tests/data/images/png/02.png
+248552 tests/data/images/png/02.png
 tests/data/images/png/%02d.png CRC=0x6da01946
diff --git a/tests/ref/lavf/rgb48be.png b/tests/ref/lavf/rgb48be.png
index b893401a8f..1995106fdc 100644
--- a/tests/ref/lavf/rgb48be.png
+++ b/tests/ref/lavf/rgb48be.png
@@ -1,3 +1,3 @@
-b4e38244c97debe3f528e7d1adb283ef *tests/data/images/rgb48be.png/02.rgb48be.png
-511900 tests/data/images/rgb48be.png/02.rgb48be.png
+d2fbe43c3172ace433be72aa16d54567 *tests/data/images/rgb48be.png/02.rgb48be.png
+510957 tests/data/images/rgb48be.png/02.rgb48be.png
 tests/data/images/rgb48be.png/%02d.rgb48be.png CRC=0x5984c023
diff --git a/tests/ref/seek/vsynth_lena-flashsv b/tests/ref/seek/vsynth_lena-flashsv
index 25176ba817..e9a68bd835 100644
--- a/tests/ref/seek/vsynth_lena-flashsv
+++ b/tests/ref/seek/vsynth_lena-flashsv
@@ -1,46 +1,46 @@
-ret: 0         st: 0 flags:1 dts: 0.000000 pts: 0.000000 pos:    187 size:240757
+ret: 0         st: 0 flags:1 dts: 0.000000 pts: 0.000000 pos:    187 size:240301
 ret: 0         st:-1 flags:0  ts:-1.000000
-ret: 0         st: 0 flags:1 dts: 0.000000 pts: 0.000000 pos:    187 size:240757
+ret: 0         st: 0 flags:1 dts: 0.000000 pts: 0.000000 pos:    187 size:240301
 ret: 0         st:-1 flags:1  ts: 1.894167
-ret: 0         st: 0 flags:1 dts: 1.880000 pts: 1.880000 pos:11605750 size:254053
+ret: 0         st: 0 flags:1 dts: 1.880000 pts: 1.880000 pos:11589499 size:253882
 ret: 0         st: 0 flags:0  ts: 0.788000
-ret: 0         st: 0 flags:1 dts: 0.800000 pts: 0.800000 pos:4820505 size:245503
+ret: 0         st: 0 flags:1 dts: 0.800000 pts: 0.800000 pos:4812061 size:245132
 ret:-1         st: 0 flags:1  ts:-0.317000
 ret:-1         st:-1 flags:0  ts: 2.576668
 ret: 0         st:-1 flags:1  ts: 1.470835
-ret: 0         st: 0 flags:1 dts: 1.440000 pts: 1.440000 pos:8811899 size:253041
+ret: 0         st: 0 flags:1 dts: 1.440000 pts: 1.440000 pos:8797915 size:252720
 ret: 0         st: 0 flags:0  ts: 0.365000
-ret: 0         st: 0 flags:1 dts: 0.400000 pts: 0.400000 pos:2387440 size:241101
+ret: 0         st: 0 flags:1 dts: 0.400000 pts: 0.400000 pos:2383396 size:240660
 ret:-1         st: 0 flags:1  ts:-0.741000
 ret:-1         st:-1 flags:0  ts: 2.153336
 ret: 0         st:-1 flags:1  ts: 1.047503
-ret: 0         st: 0 flags:1 dts: 1.040000 pts: 1.040000 pos:6302822 size:248927
+ret: 0         st: 0 flags:1 dts: 1.040000 pts: 1.040000 pos:6292106 size:248524
 ret: 0         st: 0 flags:0  ts:-0.058000
-ret: 0         st: 0 flags:1 dts: 0.000000 pts: 0.000000 pos:    187 size:240757
+ret: 0         st: 0 flags:1 dts: 0.000000 pts: 0.000000 pos:    187 size:240301
 ret: 0         st: 0 flags:1  ts: 2.836000
-ret: 0         st: 0 flags:1 dts: 1.960000 pts: 1.960000 pos:12114700 size:254237
+ret: 0         st: 0 flags:1 dts: 1.960000 pts: 1.960000 pos:12098101 size:254098
 ret: 0         st:-1 flags:0  ts: 1.730004
-ret: 0         st: 0 flags:1 dts: 1.760000 pts: 1.760000 pos:10843564 size:253913
+ret: 0         st: 0 flags:1 dts: 1.760000 pts: 1.760000 pos:10827740 size:253779
 ret: 0         st:-1 flags:1  ts: 0.624171
-ret: 0         st: 0 flags:1 dts: 0.600000 pts: 0.600000 pos:3598793 size:243372
+ret: 0         st: 0 flags:1 dts: 0.600000 pts: 0.600000 pos:3592454 size:242967
 ret: 0         st: 0 flags:0  ts:-0.482000
-ret: 0         st: 0 flags:1 dts: 0.000000 pts: 0.000000 pos:    187 size:240757
+ret: 0         st: 0 flags:1 dts: 0.000000 pts: 0.000000 pos:    187 size:240301
 ret: 0         st: 0 flags:1  ts: 2.413000
-ret: 0         st: 0 flags:1 dts: 1.960000 pts: 1.960000 pos:12114700 size:254237
+ret: 0         st: 0 flags:1 dts: 1.960000 pts: 1.960000 pos:12098101 size:254098
 ret: 0         st:-1 flags:0  ts: 1.306672
-ret: 0         st: 0 flags:1 dts: 1.320000 pts: 1.320000 pos:8053704 size:252195
+ret: 0         st: 0 flags:1 dts: 1.320000 pts: 1.320000 pos:8040597 size:251869
 ret: 0         st:-1 flags:1  ts: 0.200839
-ret: 0         st: 0 flags:1 dts: 0.200000 pts: 0.200000 pos:1187809 size:238567
+ret: 0         st: 0 flags:1 dts: 0.200000 pts: 0.200000 pos:1185826 size:238193
 ret: 0         st: 0 flags:0  ts:-0.905000
-ret: 0         st: 0 flags:1 dts: 0.000000 pts: 0.000000 pos:    187 size:240757
+ret: 0         st: 0 flags:1 dts: 0.000000 pts: 0.000000 pos:    187 size:240301
 ret: 0         st: 0 flags:1  ts: 1.989000
-ret: 0         st: 0 flags:1 dts: 1.960000 pts: 1.960000 pos:12114700 size:254237
+ret: 0         st: 0 flags:1 dts: 1.960000 pts: 1.960000 pos:12098101 size:254098
 ret: 0         st:-1 flags:0  ts: 0.883340
-ret: 0         st: 0 flags:1 dts: 0.920000 pts: 0.920000 pos:5559226 size:247341
+ret: 0         st: 0 flags:1 dts: 0.920000 pts: 0.920000 pos:5549628 size:246937
 ret:-1         st:-1 flags:1  ts:-0.222493
 ret:-1         st: 0 flags:0  ts: 2.672000
 ret: 0         st: 0 flags:1  ts: 1.566000
-ret: 0         st: 0 flags:1 dts: 1.560000 pts: 1.560000 pos:9572235 size:254219
+ret: 0         st: 0 flags:1 dts: 1.560000 pts: 1.560000 pos:9557373 size:253981
 ret: 0         st:-1 flags:0  ts: 0.460008
-ret: 0         st: 0 flags:1 dts: 0.480000 pts: 0.480000 pos:2870241 size:242377
+ret: 0         st: 0 flags:1 dts: 0.480000 pts: 0.480000 pos:2865294 size:241872
 ret:-1         st:-1 flags:1  ts:-0.645825
diff --git a/tests/ref/vsynth/vsynth1-flashsv b/tests/ref/vsynth/vsynth1-flashsv
index 8b2783032b..9247a51b7b 100644
--- a/tests/ref/vsynth/vsynth1-flashsv
+++ b/tests/ref/vsynth/vsynth1-flashsv
@@ -1,4 +1,4 @@
-97894502b4cb57aca1105b6333f72dae *tests/data/fate/vsynth1-flashsv.flv
-14681925 tests/data/fate/vsynth1-flashsv.flv
+4c16662b450725a0167a363bd56d956b *tests/data/fate/vsynth1-flashsv.flv
+14687929 tests/data/fate/vsynth1-flashsv.flv
 791e1fb999deb2e4156e2286d48c4ed1 *tests/data/fate/vsynth1-flashsv.out.rawvideo
 stddev:    2.84 PSNR: 39.04 MAXDIFF:   49 bytes:  7603200/  7603200
diff --git a/tests/ref/vsynth/vsynth1-mpng b/tests/ref/vsynth/vsynth1-mpng
index 9b394d7629..f9934ae0a0 100644
--- a/tests/ref/vsynth/vsynth1-mpng
+++ b/tests/ref/vsynth/vsynth1-mpng
@@ -1,4 +1,4 @@
-6a27410a07ed1c5556e15b7a7c6a586d *tests/data/fate/vsynth1-mpng.avi
-12158280 tests/data/fate/vsynth1-mpng.avi
+8640f381cd51a877bdecc843614dc6c2 *tests/data/fate/vsynth1-mpng.avi
+12154446 tests/data/fate/vsynth1-mpng.avi
 93695a27c24a61105076ca7b1f010bbd *tests/data/fate/vsynth1-mpng.out.rawvideo
 stddev:    3.42 PSNR: 37.44 MAXDIFF:   48 bytes:  7603200/  7603200
diff --git a/tests/ref/vsynth/vsynth1-zlib b/tests/ref/vsynth/vsynth1-zlib
index 419c6a6b3a..0f25f1d94c 100644
--- a/tests/ref/vsynth/vsynth1-zlib
+++ b/tests/ref/vsynth/vsynth1-zlib
@@ -1,4 +1,4 @@
-fd44e7bf6322f4be46f4f0dada728849 *tests/data/fate/vsynth1-zlib.avi
-12108636 tests/data/fate/vsynth1-zlib.avi
+e0711c763528a43a3aa3aa07423daca5 *tests/data/fate/vsynth1-zlib.avi
+12104740 tests/data/fate/vsynth1-zlib.avi
 93695a27c24a61105076ca7b1f010bbd *tests/data/fate/vsynth1-zlib.out.rawvideo
 stddev:    3.42 PSNR: 37.44 MAXDIFF:   48 bytes:  7603200/  7603200
diff --git a/tests/ref/vsynth/vsynth2-flashsv b/tests/ref/vsynth/vsynth2-flashsv
index 9bda896687..6e754fcdc9 100644
--- a/tests/ref/vsynth/vsynth2-flashsv
+++ b/tests/ref/vsynth/vsynth2-flashsv
@@ -1,4 +1,4 @@
-f4b45770dd93b43b4077532e8ef90bfc *tests/data/fate/vsynth2-flashsv.flv
-11636546 tests/data/fate/vsynth2-flashsv.flv
+6d818931c1d7e58961b76e5dee3134de *tests/data/fate/vsynth2-flashsv.flv
+11636008 tests/data/fate/vsynth2-flashsv.flv
 7f0fc12c02e68faddc153e69ddd6841c *tests/data/fate/vsynth2-flashsv.out.rawvideo
 stddev:    1.20 PSNR: 46.52 MAXDIFF:   20 bytes:  7603200/  7603200
diff --git a/tests/ref/vsynth/vsynth2-mpng b/tests/ref/vsynth/vsynth2-mpng
index e49714a3b0..816c34f235 100644
--- a/tests/ref/vsynth/vsynth2-mpng
+++ b/tests/ref/vsynth/vsynth2-mpng
@@ -1,4 +1,4 @@
-481e2d148f411bb61783aa688ec22943 *tests/data/fate/vsynth2-mpng.avi
-11816978 tests/data/fate/vsynth2-mpng.avi
+a52f1cdc31a4657db811a92ce2e4246c *tests/data/fate/vsynth2-mpng.avi
+12129232 tests/data/fate/vsynth2-mpng.avi
 32fae3e665407bb4317b3f90fedb903c *tests/data/fate/vsynth2-mpng.out.rawvideo
 stddev:    1.54 PSNR: 44.37 MAXDIFF:   17 bytes:  7603200/  7603200
diff --git a/tests/ref/vsynth/vsynth2-zlib b/tests/ref/vsynth/vsynth2-zlib
index 9dfb0d679e..ed4752ed63 100644
--- a/tests/ref/vsynth/vsynth2-zlib
+++ b/tests/ref/vsynth/vsynth2-zlib
@@ -1,4 +1,4 @@
-8d2783483b354e7836cfc45a7241c4eb *tests/data/fate/vsynth2-zlib.avi
-11760520 tests/data/fate/vsynth2-zlib.avi
+8d6afb78d05222b051b4d64e28999c06 *tests/data/fate/vsynth2-zlib.avi
+12074834 tests/data/fate/vsynth2-zlib.avi
 32fae3e665407bb4317b3f90fedb903c *tests/data/fate/vsynth2-zlib.out.rawvideo
 stddev:    1.54 PSNR: 44.37 MAXDIFF:   17 bytes:  7603200/  7603200
diff --git a/tests/ref/vsynth/vsynth3-mpng b/tests/ref/vsynth/vsynth3-mpng
index e708a60d98..efe00193c2 100644
--- a/tests/ref/vsynth/vsynth3-mpng
+++ b/tests/ref/vsynth/vsynth3-mpng
@@ -1,4 +1,4 @@
-3f64b66a1f46e31d45dd7f5514422ed0 *tests/data/fate/vsynth3-mpng.avi
-179804 tests/data/fate/vsynth3-mpng.avi
+389efdaacbde50df890b31da7cf9c345 *tests/data/fate/vsynth3-mpng.avi
+179632 tests/data/fate/vsynth3-mpng.avi
 693aff10c094f8bd31693f74cf79d2b2 *tests/data/fate/vsynth3-mpng.out.rawvideo
 stddev:    3.67 PSNR: 36.82 MAXDIFF:   43 bytes:    86700/    86700
diff --git a/tests/ref/vsynth/vsynth3-zlib b/tests/ref/vsynth/vsynth3-zlib
index 55d65f30e0..98b1b5a2e9 100644
--- a/tests/ref/vsynth/vsynth3-zlib
+++ b/tests/ref/vsynth/vsynth3-zlib
@@ -1,4 +1,4 @@
-d3705acfc90b16968d0d4a3ac56b049c *tests/data/fate/vsynth3-zlib.avi
-174882 tests/data/fate/vsynth3-zlib.avi
+3bc617b07bee6a3cbe92048ea08670a2 *tests/data/fate/vsynth3-zlib.avi
+174760 tests/data/fate/vsynth3-zlib.avi
 693aff10c094f8bd31693f74cf79d2b2 *tests/data/fate/vsynth3-zlib.out.rawvideo
 stddev:    3.67 PSNR: 36.82 MAXDIFF:   43 bytes:    86700/    86700
diff --git a/tests/ref/vsynth/vsynth_lena-flashsv b/tests/ref/vsynth/vsynth_lena-flashsv
index 52046cdf2e..ced0ba51d5 100644
--- a/tests/ref/vsynth/vsynth_lena-flashsv
+++ b/tests/ref/vsynth/vsynth_lena-flashsv
@@ -1,4 +1,4 @@
-0667077971e0cb63b5f49c580006e90e *tests/data/fate/vsynth_lena-flashsv.flv
-12368953 tests/data/fate/vsynth_lena-flashsv.flv
+df93e44f126a0dab10184cacca0c6d26 *tests/data/fate/vsynth_lena-flashsv.flv
+12352215 tests/data/fate/vsynth_lena-flashsv.flv
 3a984506f1ebfc9fb73b6814cab201cc *tests/data/fate/vsynth_lena-flashsv.out.rawvideo
 stddev:    0.66 PSNR: 51.73 MAXDIFF:   14 bytes:  7603200/  7603200
diff --git a/tests/ref/vsynth/vsynth_lena-mpng b/tests/ref/vsynth/vsynth_lena-mpng
index 20258433b0..db3765c8c7 100644
--- a/tests/ref/vsynth/vsynth_lena-mpng
+++ b/tests/ref/vsynth/vsynth_lena-mpng
@@ -1,4 +1,4 @@
-319ca02f8465a9c53128442f4b0dd528 *tests/data/fate/vsynth_lena-mpng.avi
-12558334 tests/data/fate/vsynth_lena-mpng.avi
+bd4e8efb421b616b13642eb8a3d27df6 *tests/data/fate/vsynth_lena-mpng.avi
+13084742 tests/data/fate/vsynth_lena-mpng.avi
 98d0e2854731472c5bf13d8638502d0a *tests/data/fate/vsynth_lena-mpng.out.rawvideo
 stddev:    1.26 PSNR: 46.10 MAXDIFF:   13 bytes:  7603200/  7603200
diff --git a/tests/ref/vsynth/vsynth_lena-zlib b/tests/ref/vsynth/vsynth_lena-zlib
index 009bcad853..431121c629 100644
--- a/tests/ref/vsynth/vsynth_lena-zlib
+++ b/tests/ref/vsynth/vsynth_lena-zlib
@@ -1,4 +1,4 @@
-abbfccc551b173a357024d8392de21dd *tests/data/fate/vsynth_lena-zlib.avi
-12517180 tests/data/fate/vsynth_lena-zlib.avi
+5f2d9bc48c8f0797eea1f9a8bcc51202 *tests/data/fate/vsynth_lena-zlib.avi
+13045134 tests/data/fate/vsynth_lena-zlib.avi
 98d0e2854731472c5bf13d8638502d0a *tests/data/fate/vsynth_lena-zlib.out.rawvideo
 stddev:    1.26 PSNR: 46.10 MAXDIFF:   13 bytes:  7603200/  7603200
